package com.xydl.cac.service;

import com.xydl.cac.entity.IcdConfigType;
import com.xydl.cac.entity.IcdConfigTypeInst;
import com.xydl.cac.entity.IcdFile;
import com.xydl.cac.entity.IcdIed;
import com.xydl.cac.exception.BusinessException;
import com.xydl.cac.model.IcdAttUpdateModel;

import java.util.List;

public interface IcdFileConfigService {

    void upload(String xml, String filename, int srv) throws Exception;

    List<IcdFile> listFile(int srv);

    List<IcdIed> listIed();

    List<String> iedList();

    List<IcdConfigType> list(String iedName) throws Exception;

    void update(IcdConfigType item) throws Exception;

    void updateAtt(IcdAttUpdateModel model) throws Exception;

    void delete(Integer id);

    void deleteSrv(Integer fileId) throws BusinessException;

    void deleteAtt(Integer attid);

    void clearAll();

    List<String> compare61850();

    void generateParamindex() throws Exception;

    List<IcdConfigTypeInst> listParamindex(String iedName);
}
